nix3-registry-add(1)

Warning: This program is experimental and its interface is subject to change.

Name
nix registry add - add/replace flake in user flake registry

Synopsis
nix registry add [option…] from-url to-url

Examples

•   Set the nixpkgs flake identifier to a specific branch of Nixpkgs:

    # nix registry add nixpkgs github:NixOS/nixpkgs/nixos-20.03

•   Pin nixpkgs to a specific revision:

    # nix registry add nixpkgs github:NixOS/nixpkgs/925b70cd964ceaedee26fde9b19cc4c4f081196a

•   Add an entry that redirects a specific branch of nixpkgs to another fork:

    # nix registry add nixpkgs/nixos-20.03 ~/Dev/nixpkgs

•   Add nixpkgs pointing to github:nixos/nixpkgs to your custom flake registry:

    nix registry add --registry ./custom-flake-registry.json nixpkgs github:nixos/nixpkgs

Description
This command adds an entry to the user registry that maps flake reference from-url to flake reference to-url. If an entry for from-url already exists, it is overwritten.

Entries can be removed using nix registry remove (./nix3-registry-remove.md).

Options

•   --registry registry
    The registry to operate on.

Common evaluation options:

•   --arg name expr
    Pass the value expr as the argument name to Nix functions.

•   --argstr name string
    Pass the string string as the argument name to Nix functions.

•   --eval-store store-url
    The Nix store to use for evaluations.

•   --impure
    Allow access to mutable paths and repositories.

•   --include / -I path
    Add path to the list of locations used to look up <...> file names.

•   --override-flake original-ref resolved-ref
    Override the flake registries, redirecting original-ref to resolved-ref.